Yaf_Plugin_Abstract::routerShutdown
Yaf_Registry
Yaf_Plugin_Abstract
PHP Manual

# Yaf_Plugin_Abstract::routerStartup

(Yaf >=1.0.0)

Yaf_Plugin_Abstract::routerStartup — RouterStartup hook

### Description

public void Yaf_Plugin_Abstract::routerStartup ( Yaf_Request_Abstract `$request` , Yaf_Response_Abstract `$response` )

This is the earliest hook in Yaf plugin hook system, if a custom plugin implement this method, then it will be called before routing a request.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`request`

`response`

### Return Values

### See Also

- Yaf_Plugin_Abstract::routerShutdown() - The routerShutdown purpose
- Yaf_Plugin_Abstract::dispatchLoopStartup() - The dispatchLoopStartup purpose
- Yaf_Plugin_Abstract::preDispatch() - The preDispatch purpose
- Yaf_Plugin_Abstract::postDispatch() - The postDispatch purpose
- Yaf_Plugin_Abstract::dispatchLoopShutdown() - The dispatchLoopShutdown purpose

Yaf_Plugin_Abstract::routerShutdown
Yaf_Registry
Yaf_Plugin_Abstract
PHP Manual